Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.dynamic
Class DynamicAttributeIterator

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.model.beans.PropertyIterator
            |
            +--org.apache.commons.jxpath.ri.model.beans.BeanAttributeIterator
                  |
                  +--org.apache.commons.jxpath.ri.model.dynamic.DynamicAttributeIterator

All Implemented Interfaces:
  NodeIterator

public class DynamicAttributeIterator
extends BeanAttributeIterator

`DynamicAttributeIterator` is different from a regular `BeanAttributeIterator` in that given a property name it will always find that property (albeit with a null value).

Version:
  $Id: DynamicAttributeIterator.java,v 1.2 2003/01/11 05:41:26 dmitri Exp $
Author:
  Dmitri Plotnikov

Constructor Summary
`DynamicAttributeIterator(PropertyOwnerPointer parent, QName name)`

Method Summary
`protected void` | `prepareForIndividualProperty(java.lang.String name)`

Methods inherited from class org.apache.commons.jxpath.ri.model.beans.BeanAttributeIterator
`getNodePointer, getPosition, setPosition`

Methods inherited from class org.apache.commons.jxpath.ri.model.beans.PropertyIterator
`getPropertyPointer, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicAttributeIterator

    public DynamicAttributeIterator(PropertyOwnerPointer parent,
                                    QName name)

Method Detail

### prepareForIndividualProperty

    protected void prepareForIndividualProperty(java.lang.String name)

  Overrides:
    `prepareForIndividualProperty` in class `PropertyIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.